%define name	nvclock
%define version 0.8
%define beta	b2
%define release %mkrel 0.%{beta}.1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Overclocking tool for NVIDIA graphic boards
URL:		http://www.linuxhardware.org/nvclock/
Source:		http://www.linuxhardware.org/nvclock/%{name}%{version}%{beta}.tar.bz2
License:	GPL
Group:		System/Configuration/Hardware
BuildRequires:	gtk+2-devel
BuildRequires:	qt3-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This program allows you to overclock your nvidia card under linux.

%prep

%setup -q -n %{name}%{version}%{beta}

%build
export PATH=$PATH:%{_libdir}/qt3/bin
%configure
# parallel build doesn't work
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%_bindir

%makeinstall

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%name
?package(%name):\
	needs="x11"\
	section="System/Configuration/Hardware"\
	title="Nvclock"\
	longtitle="Overclocking tool for NVIDIA graphic boards"\
	icon="hardware_section.png"\
	command="nvclock" \
	xdg="true"
EOF
rm -rf %buildroot/%_datadir/doc/nvclock

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=nvclock
Comment=Overclocking tool for NVIDIA graphic boards
Exec=%{name}
Icon=hardware_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration-Hardware;Settings;HardwareSettings;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_menudir}/%name
%{_mandir}/man1/*
%_datadir/applications/*

%changelog
* Mon Oct 09 2006 Lenny Cartier <lenny@mandriva.com> 0.8-0.b2.1mdv2007.1
- beta2
- fix menu & xdg

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-0.b.1mdk
- New release
- spec cleanup

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- rebuild

* Tue Jul 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Sun Jul  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix url (thanks to Nilmoni Deb)

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- new version

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- rebuild

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- remove unpackaged but installed files
- fix URL (thanks Nilmoni Deb) 

* Mon Oct  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix icon
- 0.6
- gtk2

* Thu Mar 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- add menu entry

* Tue Mar 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- updated to 0.4.1

* Wed Jun 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.4
	- enable gtk gui

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
